load("@ytt:struct", "struct")

load("certificates.lib.yaml",
    "certificate_generate_args",
    "generate_dns_names",
    "generate_self_signed_issuer",
    "generate_ca_certificate",
    "generate_ca_issuer",
    "get_certificate_with_params",
)

load("constants.lib.yaml",
    "federation_domain_name",
    "get_ldap_bindpw_secret_name",
    "jwt_authenticator_audience",
    "jwt_authenticator_name",
    "pinniped_cert_name",
    "pinniped_concierge_namespace",
    "pinniped_oidc_idp_name",
    "pinniped_ldap_idp_name",
    "pinniped_name",
    "pinniped_supervisor_namespace",
    "pinniped_supervisor_svc_name",
    "pinniped_tls_secret_name",
    "pinniped_oidc_upstream_idp_secret_name",
    "pinniped_ldap_upstream_idp_secret_name",
    "post_deploy_controller_name",
    "post_deploy_controller_sa_name",
    "post_deploy_job_name",
    "post_deploy_job_sa_name",
)

load("values.star",
    "get_pinniped_supervisor_service_type",
    "is_pinniped_supervisor_service_type_NodePort",
    "render_on_mgmt_cluster",
    "render_on_workload_cluster",
    "is_mgmt_cluster",
)

helpers = struct.make(
    certificate_generate_args=certificate_generate_args,
    federation_domain_name=federation_domain_name,
    generate_ca_certificate=generate_ca_certificate,
    generate_ca_issuer=generate_ca_issuer,
    generate_dns_names=generate_dns_names,
    generate_self_signed_issuer=generate_self_signed_issuer,
    get_certificate_with_params=get_certificate_with_params,
    get_pinniped_supervisor_service_type=get_pinniped_supervisor_service_type,
    get_ldap_bindpw_secret_name=get_ldap_bindpw_secret_name,
    is_pinniped_supervisor_service_type_NodePort=is_pinniped_supervisor_service_type_NodePort,
    jwt_authenticator_audience=jwt_authenticator_audience,
    jwt_authenticator_name=jwt_authenticator_name,
    pinniped_cert_name=pinniped_cert_name,
    pinniped_concierge_namespace=pinniped_concierge_namespace,
    pinniped_oidc_idp_name=pinniped_oidc_idp_name,
    pinniped_ldap_idp_name=pinniped_ldap_idp_name,
    pinniped_name=pinniped_name,
    pinniped_supervisor_namespace=pinniped_supervisor_namespace,
    pinniped_supervisor_svc_name=pinniped_supervisor_svc_name,
    pinniped_tls_secret_name=pinniped_tls_secret_name,
    pinniped_oidc_upstream_idp_secret_name=pinniped_oidc_upstream_idp_secret_name,
    pinniped_ldap_upstream_idp_secret_name=pinniped_ldap_upstream_idp_secret_name,
    post_deploy_controller_name=post_deploy_controller_name,
    post_deploy_controller_sa_name=post_deploy_controller_sa_name,
    post_deploy_job_name=post_deploy_job_name,
    post_deploy_job_sa_name=post_deploy_job_sa_name,
    render_on_mgmt_cluster=render_on_mgmt_cluster,
    render_on_workload_cluster=render_on_workload_cluster,
    is_mgmt_cluster=is_mgmt_cluster,
)
